gulp-remove-require

1.0.1 • Public • Published

gulp-remove-require

Gulp plugin to filter out webpack style sass requires (or any atypical node-style requires).

Useful when your project is doing a bunch of these Webpack css

There are only two options:

 
{
    'testString': 'scss', //the token to look for in require path or extension
    'removeLine': true //remove it or ignore it
}
 

Use like so...

 
var gulp        = require('gulp');
var removeRequire = require('gulp-remove-require');
 
gulp.task('remove-sass-requires', function() {
    return gulp.src(['nastyHobbitsess.js'])
        .pipe(removeRequire({
            testString: 'scss',
            removeLine: true
        }))
        .pipe(dest('/tmp/niceHobbitsess.js'));
});
 

Package Sidebar

Install

npm i gulp-remove-require

Weekly Downloads

0

Version

1.0.1

License

ISC

Last publish

Collaborators

  • adjavaherian